package com.tsiwebserver.mapper;

import java.util.List;
import java.util.Map;

import com.tsiwebserver.VO.*;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface SystemManagementMapper {
	List<String> getCityName();

	List<String> getGuName(String city);

	List<String> getIntersection(Map<String, Object> list);

	List<String> getNullIntersection(Map<String, Object> list);

	List<NodeVO> getSearchWithCity(String city);

	List<NodeVO> getSearchWithCityAndGu(Map<String, Object> list);

	List<NodeVO> getSearchWithCityAndNull(String city);

	List<NodeVO> getSearchWithCityAndGuAndIntersection(Map<String, Object> list);

	List<NodeVO> getSearchWithCityAndIntersection(Map<String, Object> list);

	List<NodeVO> getSearchAllNode();

	List<NodeVO> getAllNode();

	int insertNode(NodeVO vo);

	List<String> getSearchAllNodeId();

	int nodeUpdate(NodeVO nodeVO);

	int nodeDelete(String nodeid);

	List<TscApiClientVO> getSearchConsumerAllData();

	List<TscApiClientVO> getSearchCompanyData(String company);

	List<String> getAllConsumerToken();

	List<TscApiClientVO> getAllData();

	int consumerUpdate(TscApiClientVO vo);

	int addConsumer(TscApiClientVO vo);

	int consumerDelete(String string);

	String getSha256(Map<String, Object> list);

	List<Map<String, Object>> getAllRegion();

	List<AlarmConfigVO> getSearchAlarm();

	int updateAlarm(AlarmConfigVO vo);

	List<Map<String, Object>> getApiAcl(String apiToken);

	TscApiClientVO getOneConsumer(String apitoken);

	List<Map<String,Object>> checkAcl(String apiToken);

	int aclInsert(Map<String, Object>list);

	int apitokenUpdate(Map<String,Object> list);

	int deleteAcl(String apiToken);

	List<BaseVO> getAllBase();

	List<BaseVO> getSearchAllBase(Map<String, Object> list);

	List<String> getBaseCityName();

	List<String> getBaseGuName(String city);

	List<String> getBaseIntersection(Map<String, Object> list);

	List<String> getBaseNodeId();

	int insertBase(BaseVO vo);

	int baseUpdate(BaseVO baseVO);

	int baseMultiUpdate(BaseVO vo);

	int baseDelete(String nodeid);

	List<UserVO> getSearchUser();

	int addUser(UserVO vo);

	int updateUser(UserVO userVO);

	int deleteUser(String userId);

	List<LinkVO> getSearchAllLink();

	List<String> getSearchAllLinkId();

	int insertLink(LinkVO vo);

	int linkDelete(String nodeid);

	List<UserVO> getAllUserId();

	int getNodeCount();

	List<NodeVO> getNodeList(Map<String, Object> paramMap);
}
